> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/smart-geofences/smartgeofenceevent.md).

# SmartGeofenceEvent

## SmartGeofenceEvent API

### `getEventTime()`

> ```java
> long getEventTime()
> ```
>
> Returns the time when the geofence event was detected, as a UTC epoch time.

### `getGeofences()`

> ```java
> List<SmartGeofence> getGeofences()
> ```
>
> Returns the list of smart geofences that were entered/exited based on the event's type.

### `getEventType()`

> ```java
> SmartGeofenceEvent.Type getEventType()
> ```
>
> Returns the [type](/important-topics/sdk/api-reference/android/smart-geofences/smartgeofenceevent/type.md) of this smart geofence event, which is either an entry or an exit.

### `getTriggeringLocation()`

> ```java
> Location getTriggeringLocation()
> ```
>
> Returns the location that triggered this event.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/smart-geofences/smartgeofenceevent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
